#ifndef SINGLECHOICE_H
#define SINGLECHOICE_H

#include <QVector>
#include <QString>
#include "question.h"



class SingleChoice : public Question
{
protected:
    QVector<QString> options;
public:
    SingleChoice();
    virtual ~SingleChoice(){}
    virtual bool loadFromNode(const QDomNode& node);
    virtual void print() const;
    QVector<QString> *getOptions();
};

#endif // SINGLECHOICE_H
